| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::detail::AffineWarper Class Reference
Images stitching » Images Warping

Affine warper that uses rotations and translations. More...

`#include <opencv2/stitching/detail/warpers.hpp>`

Inheritance diagram for cv::detail::AffineWarper:

## Public Member Functions
| AffineWarper (float scale=1.f)
| Construct an instance of the affine warper class. More...
Rect | buildMaps (Size src_size, InputArray K, InputArray H, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
Point | warp (InputArray src, InputArray K, InputArray H, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray H) CV_OVERRIDE
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray H) CV_OVERRIDE
Public Member Functions inherited from cv::detail::PlaneWarper
| PlaneWarper (float scale=1.f)
| Construct an instance of the plane warper class. More...
virtual Rect | buildMaps (Size src_size, InputArray K, InputArray R, InputArray T, OutputArray xmap, OutputArray ymap)
virtual Point | warp (InputArray src, InputArray K, InputArray R, InputArray T, int interp_mode, int border_mode, OutputArray dst)
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R, InputArray T)
Rect | warpRoi (Size src_size, InputArray K, InputArray R, InputArray T)
Public Member Functions inherited from cv::detail::RotationWarperBase< PlaneProjector >
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
float | getScale () const CV_OVERRIDE
void | setScale (float val) CV_OVERRIDE
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst) CV_OVERRIDE
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R) CV_OVERRIDE
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Protected Member Functions
void | getRTfromHomogeneous (InputArray H, Mat &R, Mat &T)
| Extracts rotation and translation matrices from matrix H representing affine transformation in homogeneous coordinates. More...
Protected Member Functions inherited from cv::detail::PlaneWarper
void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::RotationWarperBase< PlaneProjector >
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)

## Additional Inherited Members
Protected Attributes inherited from cv::detail::RotationWarperBase< PlaneProjector >
PlaneProjector | projector_

## Detailed Description

Affine warper that uses rotations and translations.

Uses affine transformation in homogeneous coordinates to represent both rotation and translation in camera rotation matrix.

## Constructor & Destructor Documentation

## ◆ AffineWarper()

cv::detail::AffineWarper::AffineWarper | ( | float | scale = `1.f` | ) |
| inline

Construct an instance of the affine warper class.

Parameters

  scale | Projected image scale multiplier

## Member Function Documentation

## ◆ buildMaps()

Rect cv::detail::AffineWarper::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | H,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| virtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  H | Camera extrinsic parameters
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Reimplemented from cv::detail::PlaneWarper.

## ◆ getRTfromHomogeneous()

void cv::detail::AffineWarper::getRTfromHomogeneous | ( | InputArray | H,
|  | Mat & | R,
|  | Mat & | T
| ) |  |
| protected

Extracts rotation and translation matrices from matrix H representing affine transformation in homogeneous coordinates.

## ◆ warp()

Point cv::detail::AffineWarper::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | H,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| virtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  H | Camera extrinsic parameters
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Reimplemented from cv::detail::PlaneWarper.

## ◆ warpPoint()

Point2f cv::detail::AffineWarper::warpPoint | ( | const Point2f & | pt,
|  | InputArray | K,
|  | InputArray | H
| ) |  |
| virtual

Projects the image point.

Parameters

  pt | Source point
  K | Camera intrinsic parameters
  H | Camera extrinsic parameters

Returns
  Projected point

Reimplemented from cv::detail::PlaneWarper.

## ◆ warpRoi()

Rect cv::detail::AffineWarper::warpRoi | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | H
| ) |  |
| virtual

Parameters

  src_size | Source image bounding box
  K | Camera intrinsic parameters
  H | Camera extrinsic parameters

Returns
  Projected image minimum bounding box

Reimplemented from cv::detail::PlaneWarper.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/warpers.hpp